format_version: '1.0'


repository_url: https://github.com/ElementsProject/lightning
issue_url: https://github.com/ElementsProject/lightning/issues/4


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 71c56e0
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: a9556fca15e5730ebb066f1498b27d2815ef1aa9
    - input_file: 'b-partial-2.diff'
      commit_sha1: 4914558d18017a74a2ad757f9f7c97ba6fa68b91
    - input_file: 'b-partial-3.diff'
      commit_sha1: 373134b094c8ffbe449a70733d1d8186ebeab19b
    - input_file: 'b-partial-4.diff'
      commit_sha1: cc34f572ca60cb030c7705d6f5e5497b89fe5c25
    - input_file: 'b-partial-5.diff'
      commit_sha1: 9f175deecdff6b047463e8fd9674009bef448172
    - input_file: 'b-partial-6.diff'
      commit_sha1: d08567639c585945c40b138e932dea48f7d418f2
    - input_file: 'b-partial-7.diff'
      commit_sha1: ddc44a110999eda710c36207adf963073887aa66
    - input_file: 'b-partial-8.diff'
      commit_sha1: 8b7d14c163e97723591bc68dc824d54f447f8752
    - input_file: 'b-partial-9.diff'
      commit_sha1: f7257cadd75a1dd3d3e90aa99d09364aeadba088
    - input_file: 'b-partial-10.diff'
      commit_sha1: 2cf6ae748af695a8bbfbbd241882fd9f41cec86c
    - input_file: 'b-partial-11.diff'
      commit_sha1: ad7c7920e29c59e51046c9722b72271a53e23b31
    - input_file: 'b-partial-12.diff'
      commit_sha1: d5bd1682f5cde03e9ad5c16cf526ac937cbdee27
    - input_file: 'b-partial-13.diff'
      commit_sha1: ef541afd8a64252c0c8c2acba9d3c4eeb02b1b7e
    - input_file: 'b-partial-14.diff'
      commit_sha1: 7c760dafe2846c20f30ba59a2668c528480419e0
    - input_file: 'b-partial-15.diff'
      commit_sha1: aba7c7cc755e03ab77ef5e4f975f42897885fc63
    - input_file: 'b-partial-16.diff'
      commit_sha1: 267d6275210af2df0eade8a0d43e451f8378cfd4

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 2ffaa46aeeeabbebe5c2999180f629766a4e915a

options:
  language: C
